# Quest specification file
#
# This lists all the quests that are on the mud
# and their details. The definitions must be of the form
#
# NAME = (the programing name of the quest, no spaces)
# SHORT = ( short description of the quest, seen by players)
# LONG = ( a longer description outlineing how to start the quest)
# HARDNESS = (a score between 1 and 10)
# REWARDS = (what stats get increased the first time they complete the quest)
#
# The allowable stats are defined in stats.h, STATNAMES
#


NAME = rat_hunt
SHORT = Rat Hunt
LONG = Seek & Destroy:
The Guide in the Newcomers' Hall has been bothered by an 
unusually large black rat! Search around for where the
rodent is getting in, kill the offender and give the 
corpse to the Guide as proof. Make sure you kill the right
rat, and beware: there may be more than just rats lurking
about, so tread warily...
HARDNESS = 1
REWARDS = con


NAME = wood chop
SHORT = Charity Wood Chop
LONG = A Test of Muscle (and hunger)
Johanna the gypsy girl needs some wood chopped to make
the torches she sells. Are you feeling charitable? Find
or purchase an axe and chop her pile of wood. But remember:
it's hard work, so be patient and don't forget to refuel
when you're getting hungry!
HARDNESS = 1
REWARDS = offense,axe mastery 

NAME = citizen
SHORT = Sanom City Citizen Test
LONG =  Test of Knowledge:
Find the Bounty Man in Sanom's Law Offices and say you
want to be a citizen. Complete the test correctly to
prove your knowledge of local laws. When in doubt, check
the law scroll!
HARDNESS = 1
REWARDS = int

NAME = zooquest
SHORT = The Sanom City Zoo Quest
LONG = Puzzle:
The Sanom City Zoo's keeper is having some staffing problems.
Drop into the zoo (south of the Adventurers Hall) and ask 
if you can help him!
HARDNESS = 2
REWARDS = swim,immunity
 

NAME = go_quest
SHORT = The Go Puzzle
LONG = Puzzle:
Help the go player in the city restaurant solve his problems!
HARDNESS = 2
REWARDS = int


NAME = teddy rescue
SHORT = Miss Jane teddy rescue
LONG = Puzzle of Courage (no combat):
LOST: Poor little Miss Jane's Teddy
Little Miss Jane has lost her teddy bear somewhere in the
city, and needs a kind friend. Can you help her?
HARDNESS = 2
REWARDS = chu, dodge


NAME = newspaper
SHORT = Newspaper Article
LONG = Your Name in Print:
Get an article published in the Sanom City Times Newspaper.
Find the newspaper offices and submit an article for the
Editor's approval... if it's good enough, it will appear
in the paper's next edition. You can then go back to the
office and register to complete the quest.
HARDNESS = 3
REWARDS = int, immunity, general_resistance


NAME = orc_slayer
SHORT = Quest for the Orc Slayer
LONG = Search, Hack & Slash:
Retrieve the legendary Orc Slayer from the evil orc shaman,
who is rumoured to be hidden in the mountains to the north-
east of Sanom City. Leo the Archwizard will reward you
handsomely if you return it to him in the Wizards Hall.
HARDNESS = 3
REWARDS = str


NAME = janice
SHORT = Janice's Lost Grandfather Quest
LONG = Puzzle, Search & Fight:
Poor Janice (in the Sanom City Zoo) hasn't seen her 
grandfather for ages. Find her and ask her how you can help.
HARDNESS = 3
REWARDS = wis, chu


NAME = training
SHORT = Training Camp
LONG = Teamwork Required:
The priests of the ancient Metallic Knights have opened a
training camp for beginners. At least three trainees must
enter at a time, gaining access to the south of the mountain
village. Make sure you bring a loin cloth!
HARDNESS = 4
REWARDS = con, dex


NAME = gambler
SHORT = The Gambler's Wish
LONG = The old gambler is dying, and he has a final wish.
Go to him on his death-bed, find out what he needs and help
him in whatever way that you can. Where can you find him?
Why, where else?
HARDNESS = 4
REWARDS = chu, dex


NAME = smurf
SHORT = Save the Pixies
LONG = Violence:
The pixie village is under siege from an evil wizard!
Save it and show the wizard's staff to Pappa Pixie as
proof of your heroism.
HARDNESS = 4
REWARDS = pow, str


NAME = puzzle
SHORT = The Magic Square
LONG = Puzzle and a little Violence:
Find the Magic Square Puzzle and solve it! Your search
should begin beneath a ruined temple...
HARDNESS = 5
REWARDS = int


NAME = valley_of_wind
SHORT = The Valley of Wind
LONG = Peaceful Prophesy-Fulfilment:
You must fulfill 'The Prophecy of the Blue-Clad One'.
Go west across a field and over a mountain to find the
Valley of Wind. There, equip yourself, and seek the mural,
The Ohmu, and The Matriarch for further information.
HARDNESS = 5
REWARDS = int


NAME = devil_blade
SHORT = The Hellfire Quest
LONG = Maze & Violence:
Go to hell - destroy Baalzebul and throw the devil blade
into a volcano!
HARDNESS = 5
REWARDS = chu, siz


NAME = circus
SHORT = The Chaotic Circus
LONG = Puzzle & Violence:
Find the Juggler's Ball Key and show it to the Circus Master.
HARDNESS = 5
REWARDS = str, dex


NAME = hanoi
SHORT = The Puzzle King's Realm
LONG = Puzzle only:
Find the Puzzle King's Realm and solve his puzzles.
HARDNESS = 6
REWARDS = san, int


NAME = avatar
SHORT = The Avatar Quest
LONG = The Monastery of the Avatars 
is in the mountains somewhere. Find it and become an Avatar
by worshipping at the four shrines built nearby to the
Avatar deities.
HARDNESS = 6
REWARDS = pow


NAME = quest_master
SHORT = The Quest Master
LONG = Extreme Violence:
Find the Quest Master and complete one of his quests! He was
last seen in a forest somewhere...
HARDNESS = 7
REWARDS = con, str


NAME = lucincia
SHORT = The Town of Broken Hearts
LONG = Puzzle with some violence:
Rumour has it that somewhere on an island a wizard's spell
has created an entrance to another world! Seek out the Lost
Soldier, learn of the troubles, find the mysterious plant-like
guardians scattered about the land and the hidden dragons
beneath the great tree. Then, and only then, can you prove your
worth and rescue the Lady of the Valley!
HARDNESS = 7
REWARDS = chu, pow


NAME = arachnaphobia
SHORT = Arachnaphobia
LONG = Searching, Puzzles & Violence:
There is a hidden town in a jungle far to the southeast, where
the people and an eight-legged man are in need of a saviour.
HARDNESS = 7
REWARDS = str, dex, san


NAME = madness
SHORT = Desert Madness
LONG = The fabric of reality is frail at best,
but when Elder Gods decide to wreak havoc things look grim.
On the desert isle to the southeast of the city there is an Ancient Monolith
which holds a clue for those brave souls who seek to save this
World (yet again). Beware - the price of failure is high!....
HARDNESS = 7
REWARDS = int, pow, san

NAME = soulsaver
SHORT = Quest of Nobility 
LONG = Prince Raphael has had his
body stolen by an evil necromancer! Find it so Raphael
can rejoin his body and rest in peace.
HARDNESS = 8
REWARDS = con


NAME = dalmar
SHORT = Lord Dalmar's Bane
LONG = Some Puzzle & Unprecedented Violence:
Help Lord Dalmar... if you dare.
HARDNESS = 8
REWARDS = pow, dex


NAME = blackstone
SHORT = Prince of Blackstone
LONG = Searching, Puzzles & Violence:
Many years ago, the Prince of Blackstone was killed by a thief
whilst he slept in his nursery, a mere babe in arms. Rumor has
it that somewhere lies the ancient Staff of Time, existing since
the dawn of the world, capable of warping the fabric of reality.
Should such truly be the case, you must seek it out, and use it
to reverse time, preventing this tragedy before it happens.
HARDNESS = 9
REWARDS = int, chu


NAME = mantis
SHORT = The Staff of Power
LONG = Violence & Puzzle:
Past the mountains to the far southeast is a hidden castle.
Over the castle is a violent build-up of raw magical energy...
a build-up that if not stopped could destroy the Shattered World!
To resolve the crisis you will need to reconstruct the Staff of
Power.  But the staff has been broken by the Wizard Rattcherryh
and the pieces scattered all over the realms. Some of the pieces
can only be located using a rainbow bridge, which may possibly
be operated with magical gems... find the Oracle in the western
forests for help.
HARDNESS = 10
REWARDS = chu, dex


NAME = demon_quest
SHORT = The Lake of Fire
LONG = Violence & Excruciating Puzzle
Far to the southeast, below a dark castle, lies a lake of fire.
Pass through this lake (with the aid of something) and subdue
the evil demon below it!
HARDNESS = 10
REWARDS = pow, con


NAME = saviour_of_souls
SHORT = Saviour of Souls
LONG = Around campfires in the deepest, blackest nights,
adventurers tell of a temple of Darkness where the bold have
sold their souls to the Devil. That is for the bold... the truly
legendary then journey to deepest Hell to cheat Satan himself
of the prize.
HARDNESS = 10
REWARDS = pow

 

